Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class InternalFrameAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.InternalFrameAction

All Implemented Interfaces:
  EventListener, InternalFrameListener

Direct Known Subclasses:
  ManageInternalFrameAction

public class InternalFrameAction
extends AbstractAction
implements InternalFrameListener

Actionimplementierung fuer InternalFrameEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`InternalFrameAction()`

Method Summary
`void` | `doInternalFrameActivated(InternalFrameEvent ife)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInternalFrameClosed(InternalFrameEvent ife)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInternalFrameClosing(InternalFrameEvent ife)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInternalFrameDeactivated(InternalFrameEvent ife)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInternalFrameDeiconified(InternalFrameEvent ife)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInternalFrameIconified(InternalFrameEvent ife)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInternalFrameOpened(InternalFrameEvent ife)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `internalFrameActivated(InternalFrameEvent ife)`
`void` | `internalFrameClosed(InternalFrameEvent ife)`
`void` | `internalFrameClosing(InternalFrameEvent ife)`
`void` | `internalFrameDeactivated(InternalFrameEvent ife)`
`void` | `internalFrameDeiconified(InternalFrameEvent ife)`
`void` | `internalFrameIconified(InternalFrameEvent ife)`
`void` | `internalFrameOpened(InternalFrameEvent ife)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalFrameAction

    public InternalFrameAction()

Method Detail

### internalFrameOpened

    public void internalFrameOpened(InternalFrameEvent ife)

  Specified by:
    `internalFrameOpened` in interface `InternalFrameListener`

### doInternalFrameOpened

    public void doInternalFrameOpened(InternalFrameEvent ife)
                               throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ife` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### internalFrameClosing

    public void internalFrameClosing(InternalFrameEvent ife)

  Specified by:
    `internalFrameClosing` in interface `InternalFrameListener`

### doInternalFrameClosing

    public void doInternalFrameClosing(InternalFrameEvent ife)
                                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ife` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### internalFrameClosed

    public void internalFrameClosed(InternalFrameEvent ife)

  Specified by:
    `internalFrameClosed` in interface `InternalFrameListener`

### doInternalFrameClosed

    public void doInternalFrameClosed(InternalFrameEvent ife)
                               throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ife` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### internalFrameIconified

    public void internalFrameIconified(InternalFrameEvent ife)

  Specified by:
    `internalFrameIconified` in interface `InternalFrameListener`

### doInternalFrameIconified

    public void doInternalFrameIconified(InternalFrameEvent ife)
                                  throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ife` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### internalFrameDeiconified

    public void internalFrameDeiconified(InternalFrameEvent ife)

  Specified by:
    `internalFrameDeiconified` in interface `InternalFrameListener`

### doInternalFrameDeiconified

    public void doInternalFrameDeiconified(InternalFrameEvent ife)
                                    throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ife` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### internalFrameActivated

    public void internalFrameActivated(InternalFrameEvent ife)

  Specified by:
    `internalFrameActivated` in interface `InternalFrameListener`

### doInternalFrameActivated

    public void doInternalFrameActivated(InternalFrameEvent ife)
                                  throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ife` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### internalFrameDeactivated

    public void internalFrameDeactivated(InternalFrameEvent ife)

  Specified by:
    `internalFrameDeactivated` in interface `InternalFrameListener`

### doInternalFrameDeactivated

    public void doInternalFrameDeactivated(InternalFrameEvent ife)
                                    throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ife` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD